
import math
import VISI


# ***************************************************
# ********            V2HS Compass rules            ********	 
# ***************************************************

# -------------------------------------------------------------
# RULE DEFINITION EXAMPLE - START
# -------------------------------------------------------------
# The following is an example of the format which is manadatory to follow when writing new rules for the "Compass Technology"
# Please remember that the indentation, the naming convention and the standard is very important and has to be respected.

def CALC_Prefix_VariableName_Index(Variable1,Variable2,Variable3):
# Formula description
	if(Variable1==0):
		number=Variable2+Variable3
		return number
	else:
		return Variable2

# 	CALC_ 	          = This is a standard name which is mandatory when defining a calculation formula
# 	Prefix_ 	          = This is the variable prefix which defines the variables group (eg: V2AX_; V3AX_; V2HS_; VCYC_)
# 	VariableName_         = This is the actual name of the variable which will be used to link the formula to the right field
#	Index			= This is an index number starting with 0 (zero) this number is necessary to allow more rules to be set for the same variable
#	Formula description   = This is a comment which has to be locate right after the "def statement" and that describes the meaning of the formula. This comment will be displayed in the UI
#	Variable1/2/3/...	= This is the list of the neded variables for the definition of the formula.

# NOTE: When an operation variable is spelt correctly in the python script it should appear highlighted in blue and in bold characters

# -------------------------------------------------------------
# RULE DEFINITION EXAMPLE - END
# -------------------------------------------------------------

# ------------------------------------------------------------------
# Calculates the correct thread diameter for Mill thread(Billy 28/08/08)

def CALC_V2HS_MaxDiam (Fea_ThreadDiam,Fea_Diameter,ENV_UNIT):
	if (Fea_ThreadDiam<=0):
		if (Fea_Diameter<=0):
			if (ENV_UNIT==0):
				number= 30
				return number
			else:
				number1=30/25.4
				return number1
		else:
			return Fea_Diameter
	else:
		return Fea_ThreadDiam
	
# ------------------------------------------------------------------
# Calculates the correct thread depth for Mill thread(Billy 28/08/08)

def CALC_V2HS_ThreadDepth (Fea_ThreadDepth,Fea_Depth,ENV_UNIT):
	if (Fea_ThreadDepth<=0):
		if (Fea_Depth<=0):
			if (ENV_UNIT==0):
				number= 50
				return number
			else:
				number1=50/25.4
				return number1
		else:
			return Fea_Depth
	else:
		return Fea_ThreadDepth
# ------------------------------------------------------------------	
#CALC:  correctly set the  V2HS_MultiPointMethod when the tool has only one teeth (Paolo 20-04-11)

def CALC_V2HS_MultiPointMethod(Tool_NumTeeth):
	if (Tool_NumTeeth==1.0):
		return 0
	return 2
	
	


